Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class ModifyDBParameterGroupResult

    java.lang.Object
      com.amazonaws.services.rds.model.ModifyDBParameterGroupResult

    public class ModifyDBParameterGroupResult

extends Object

Constructor Summary
`ModifyDBParameterGroupResult()`

Method Summary
`String` | `getDBParameterGroupName()` The name of the DP Parameter Group.
`void` | `setDBParameterGroupName(String dBParameterGroupName)` The name of the DP Parameter Group.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`ModifyDBParameterGroupResult` | `withDBParameterGroupName(String dBParameterGroupName)` The name of the DP Parameter Group.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModifyDBParameterGroupResult

    public ModifyDBParameterGroupResult()

Method Detail

### getDBParameterGroupName

    public String getDBParameterGroupName()

  The name of the DP Parameter Group.

  Returns:
    The name of the DP Parameter Group.

### setDBParameterGroupName

    public void setDBParameterGroupName(String dBParameterGroupName)

  The name of the DP Parameter Group.

  Parameters:
    `dBParameterGroupName` - The name of the DP Parameter Group.

### withDBParameterGroupName

    public ModifyDBParameterGroupResult withDBParameterGroupName(String dBParameterGroupName)

  The name of the DP Parameter Group.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBParameterGroupName` - The name of the DP Parameter Group.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.